<?php
function DeCode($string,$operation,$key='')
    {
        $key=md5($key);
        $key_length=strlen($key);
        $string=$operation=='D'?base64_decode($string):substr(md5($string.$key),0,8).$string;
        $string_length=strlen($string);
        $rndkey=$box=array();
        $result='';
        for($i=0;$i<=255;$i++)
        {
            $rndkey[$i]=ord($key[$i%$key_length]);
            $box[$i]=$i;
        }
        for($j=$i=0;$i<256;$i++)
        {
            $j=($j+$box[$i]+$rndkey[$i])%256;
            $tmp=$box[$i];
            $box[$i]=$box[$j];
            $box[$j]=$tmp;
        }
        for($a=$j=$i=0;$i<$string_length;$i++)
        {
            $a=($a+1)%256;
            $j=($j+$box[$a])%256;
            $tmp=$box[$a];
            $box[$a]=$box[$j];
            $box[$j]=$tmp;
            $result.=chr(ord($string[$i])^($box[($box[$a]+$box[$j])%256]));
        }
        if($operation=='D')
        {
            if(substr($result,0,8)==substr(md5(substr($result,8).$key),0,8))
            {
                return substr($result,8);
            }
            else
            {
                return'';
            }
        }
        else
        {
            return str_replace('=','',base64_encode($result));
        }
    }

?>


<?php
session_start();
$UserID=$_POST["UserID"];
$Real_name=$_POST["Real_name"];
$Password=$_POST["Password"];
$Email=$_POST["Email"];
$loeschcode=$_POST["loeschcode"];
?>
<body>
<!-- center column -->
<div class="col-2" id="authenticate">
    <div class="content content-last">
        <div class="content-bg">
            <div class="content-bg-bottom">
                <h2>Registro</h2>
                <div id="progressTracker">
                    <div id="progress1" class="passed">
						<div class="step">1</div>
						<p class="progress-text">Registro</p>
					</div>
					<div id="progress2" class="inactive">
						<div class="step">2</div>
						<p class="progress-text">Activacion y Descarga</p>
					</div>
					<div id="progress3" class="inactive">
						<div class="step">3</div>
						<p class="progress-text">Finalizar y Jugar</p>
					</div>
				</div>
                <div class="pass-lost-inner-content">
                    <div class="input-data-box">
                        <div id="activateAccount" class="inner-form-border">
                            <div class="inner-form-box clearfix">
                                <h3>Activacion de cuenta!</h3>
                                <div class="trenner"></div>
                                <div id="activateBox">
<?php

if (strlen($UserID) < 4) {$error=$error."~~~Introduce un nombre de usuario correcto!~~~";}
if (strlen($Real_name) < 4) {$error=$error."<br>~~~Introduce un nombre real correcto.~~~";}
if (strlen($Password) < 4) {$error=$error."<br>~~~Introduce una contraceña correcta y segura~~~";}
if (strlen($Email) < 1) {$error=$error."<br>~~~Introduce un correo electronico no existente y correcto!~~~";}
if (strlen($loeschcode) < 1) {$error=$error."<br>~~~Introduce un codigo de 7 digitos correctamente~~~";}
if (strlen($error) > 0){
	echo "Debes introducir y corregir los datos aca mencionados para un registro satisfactorio y sin problemas!<a href=\"javascript:history.back();\"> Volver al registro! </a>$error";exit;
}else{
	require_once("include/config.inc.php");
	mysql_select_db("account");
	$exec="select * from account where Login='$UserID'";
	$result=mysql_query($exec);
	$rs=mysql_fetch_object($result);
	if($rs){
		echo"La cuenta ya existe, elige otro nombre de usuario! <a href=\"javascript:history.back();\">Volver</a>";
		exit;
	}else{
		$exec="insert into account (Login,Password,Real_name,Email,Social_id)  values('$UserID',password('$Password'),'$Real_name','$Email','$loeschcode')";
		mysql_query("set names big5 ");
		mysql_query("set CHARACTER big5 ");
		mysql_query($exec);
		//echo mysql_error();
		//echo $exec;
	//$exec="insert into player.safebox(account_id,size,password) values((select id from account.account where login='$UserID') ,1,'000')";
	//mysql_query($exec);
	//echo mysql_error();
	//echo "<br>".$exec;
?>                 

                                    <li>    Bienvenido <?php echo $UserID?></li>
<center>
<h4>El registro se a realizado con exito! Descarga, entra y disfruta de Land of Metin!</h4>
</center>

                                </div>
                                <h3>Descargar Cliente</h3>
                                <div class="trenner"></div>
                                <a href="http://metin2rb.com/patch/Metin2RB.rar" id="bigDownload" >
                                Descargar el<br />cliente completo                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="box-foot"></div>
                </div>
            </div>
        </div>
    </div>
    <div class="shadow">&nbsp;</div>
</div>            <!-- right column -->
			
<?php
	}

}
?>